build:docker (manual):
  stage: build
  when: manual
  script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker build -t registry.gitlab.com/skewed-aspect/games/precursors/erlang-rust-docker .
    - docker push registry.gitlab.com/skewed-aspect/games/precursors/erlang-rust-docker
  image: docker:latest
  services:
  - docker:dind
